<template>
  <div :id="id" :style="{ width: width, height: height }"></div>
</template>

<script>
import { chartOptionMixins } from "@/views/analyse/custom/mixins";

export default {
  mixins: [chartOptionMixins],
  name: "CArea",
  data() {
    return {
      id: 'area'
    }
  },
  mounted() {
  },
  methods: {
    getOption() {
      let { xAxis, yAxis, series, grid } = this.get1AxisOption('line', { opacity: 1 })
      return {
        tooltip: {
          trigger: 'item'
        },
        grid: grid,
        xAxis: xAxis,
        yAxis: yAxis,
        series: series
      }
    },
  }
}
</script>
